/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++                LittleShell.h                   +++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++         Copyright © 2007 Ove Peter.            +++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */

#ifndef LITTLE_SHELL_H
#define LITTLE_SHELL_H

#include <app/Application.h>
#include <interface/Alert.h>

#include "BubbleHelper.h"

#define APP_SIG		"application/x-vnd.op.LittleShell"
#define APP_NAME	"LittleShell"
#define APP_VERSION	"1.0 FirstRelease"
#define HOMEPAGE	"http://www.planetmir.de/"
#define	TRACKER_SIG	"application/x-vnd.Be-TRAK"

#define FILE_PANEL_MSG	'fpmg'

const float WIN_LEFT = 30.0;
const float WIN_TOP = 30.0;
const float WIN_WIDTH =	320.0; // to get BPoint use (WIN_WIDTH + WIN_LEFT)
const float WIN_HEIGHT = 70.0; // dito.

class LittleShellApp : public BApplication {

	public:
						LittleShellApp( void );
						~LittleShellApp( void );

		virtual void	AboutRequested( void );
		virtual void	MessageReceived(BMessage* message);
		virtual void	RefsReceived(BMessage* message);

		ShellWindow*	NewShellWindow( void );	// Opens new Shell window with winNumber, and returns pointer
		ShellWindow*	ActiveShellWin( void );	// Returns a pointer to the *active* Shell window
		virtual void	SetBubbleHelp(BView *view, char *text);	// Sets Bubble Help text, also creates the BubbleHelper if not existant but needed.
		virtual void	ThrowAlert(const char *text, const char *buttonlabel, alert_type type);		// Display an alert window.
		
	private:
		BFilePanel		*fOpenPanel;	// Only one OpenPanel for all Shell Windows ;-)
		BubbleHelper	*bubHelp;		// BubbleHelper class by Marco Nelissen
		
		BString			homeDir;		// User HomeDir!
		uint32			winNumber;		// Each ShellWindow gets a unique number.
		bool			isPanel;		// Somehow tests against the FilePanel didn't work,
										// so this bool determines if an OpenPanel is active.
		Preferences		prefs;			// The settings
};

#endif
