/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++                PrefWindow.h                    +++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++         Copyright © 2007 Ove Peter.            +++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */

#ifndef PREF_WINDOW_H
#define PREF_WINDOW_H

#include <interface/Window.h>
#include <interface/TabView.h>
#include <support/String.h>

#include "Preferences.h"
#include "../olib/OCheckBox.h"


#define PREF_WIDTH		322
#define PREF_HEIGHT		240

#define PREF_OKAY			'prok'
#define	PREF_CANCEL			'prcl'
#define HIST_TEXT_MSG		'hstt'
#define CLEAR_HIST_NOW		'cnow'
#define WIN_LOOK_SELECTED	'wlsl'
#define MENU_MAX_HIST		'prmh'
#define AMPERCB				'amcp'
#define SHOWOUTCB			'socb'
#define STAYTOPCB			'stcb'
#define AUTOCLOSECB			'accb'
#define	OUTTITLECB			'otit'
#define	WORKDIRTCB			'wdti'
#define SAVEDIRCB			'sadi'


class PrefWindow : public BWindow {
	public:
						PrefWindow(BRect frame, Preferences *preferences);
						~PrefWindow( void );
		virtual void	MessageReceived(BMessage *message);
		virtual void	SavePreferences( void );
		
		
	private:
		BTabView		*tabView;
		BTab			*genTab;
		BTab			*historyTab;
		BTab			*appearanceTab;

		BView			*genView;
		BView			*historyView;
		BView			*appearanceView;
		
		BButton			*cancelB;
		BButton			*okayB;
		BButton			*deleteHistB;
		
		OCheckBox		*amperCB;
		OCheckBox		*stdoutCB;
		OCheckBox		*outTitleCB;
		OCheckBox		*stayTopCB;
		OCheckBox		*autoCloseCB;
		OCheckBox		*workDirTitCB;
		OCheckBox		*saveWorkDirCB;
		BStringView		*shellStat;
		BTextControl	*histTextBar;
		BStringView		*clearHistView;
		
		BPopUpMenu		*maxHistMenu;		
		BMenuField		*maxMField;
		BPopUpMenu		*winLookMenu;
		BMenuField		*winLookMF;
		
		Preferences		*prefs;
		
		int32			maxHistItems;
		BString			windowLook;
		bool			addAmper;
		bool			showStdout;
		bool			stdoutTitle;
		bool			stayOnTop;
		bool			autoClose;
		bool			showWorkDir;
		bool			saveWorkDir;
};

#endif
