// Preferences.h
#ifndef PREFERENCES_H
#define PREFERENCES_H

#include <app/Message.h>
#include <storage/Path.h>
#include <storage/File.h>

#define PREF_FILE	"LittleShell_settings"

class Preferences : public BMessage {
	
	public:
		Preferences();
		virtual void Load();
		virtual void Save();
		
		status_t SetRect(const char *name, BRect rect);
		status_t SetString(const char *name, const char *word);
		status_t SetBool(const char *name, bool value);
		status_t SetInt32(const char *name, int32 number);
		
	private:
		BPath settingsPath;
		BFile settingsFile;
};

#endif
