/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++                 StatusView.h                   +++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++         Copyright © 2007 Ove Peter.            +++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */

#ifndef	STATUS_VIEW_H
#define STATUS_VIEW_H

#include <interface/StringView.h>

class StatusStringView : public BStringView {
	public:
						StatusStringView(BRect frame, char *name);
						~StatusStringView( void );

		virtual void	AllAttached( void );		// Colors are set here
		virtual void	Draw(BRect updateRect);
		
		virtual void	MouseDown(BPoint where);	// Three functions for moving the window with the mouse
		virtual void	MouseUp(BPoint where);
		virtual void	MouseMoved( BPoint where, uint32 code, const BMessage *msg);

	private:
		bool			fMouseDown;
		BPoint			fMouseOffset;
};

/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */

class StatusView : public BView {
	public:
						StatusView(BRect frame, char *name, rgb_color back_col);
						~StatusView( void );
		
		virtual	void	Draw(BRect updateRect);			// Draws an LED-like border
		virtual void	MouseDown(BPoint where);
		virtual void	MouseUp(BPoint where);
		virtual void	MouseMoved( BPoint where, uint32 code, const BMessage *msg);
		
		rgb_color		CurrentColor( void );			// Returns current Back color of StatusView
		BString			CurrentText( void );			// Returns current Text in StatusStringView
		virtual void	NewCol(rgb_color backCol);		// Sets a new Back color for the StatusView
		virtual void	NewText(const char *text);		// Replaces Text in StatusStringView with new one
		virtual void	AppendText(const char *text);	// Inserts Text at the end of StatusStringView Text

	private:
		StatusStringView	*statusTView;

		bool			fMouseDown;
		BPoint			fMouseOffset;
};

#endif
