/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++                TextWindow.h                    +++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++         Copyright © 2007 Ove Peter.            +++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
#ifndef TEXT_WINDOW_H
#define TEXT_WINDOW_H

#include <interface/Window.h>

#define	SHOWFILE	'shfi'
#define SHOWPROCESS	'shpr'
#define STATUSTEXT	'repo'


class TextWin : public BWindow
{
	public:
						TextWin(BRect frame, const char *title, BHandler *target);
						~TextWin();

		virtual void	FrameResized(float width, float height);
		virtual void	MessageReceived(BMessage *message);

		virtual void	ReplaceText(const char *text);
		virtual void	PrependText(const char *text);
		virtual void	AppendText(const char *text);
		virtual void	CalcWindowHeight(void);	// Calculates and sets Window height based on text height

	private:
		/* --- Private functions --- */
		status_t		DisplayFile(const char *filename);
		int				DisplayShellProcess(const char *command);
		virtual void 	DisplayStatus(const char *statText, bool is_error, bool append = false);

		/* --- Private datamembers --- */	
		BHandler		*caller;
		BTextView		*tView;
};

#endif
