/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++                 ConfigView.h                   +++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++         Copyright © 2007 Ove Peter.            +++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */

#ifndef CONIG_VIEW_H
#define CONFIG_VIEW_H

#include <interface/View.h>
#include <interface/StringView.h>

#include "../olib/OTextControl.h"
#include "../olib/OCheckBox.h"

#define COMMAND_CHANGED		'cmdc'
#define BLACK_SCREEN		'blks'
#define REPEAT				'rept'


class ConfigView : public BView
{
	public:
						ConfigView(BRect frame,char *name,
								BString *commtext,
								bool *black_screen,
								bool *repeat_command);
						~ConfigView( void );
		/* ---- Hook functions ---- */		
		virtual	void	AttachedToWindow( void );
		virtual	void	AllAttached(void);
		virtual	void	Draw(BRect updateRect);
		virtual void	MessageReceived(BMessage* message);
		virtual void	MouseDown(BPoint where);
		virtual void	MouseUp(BPoint where);
		virtual void	MouseMoved( BPoint where, uint32 code, const BMessage *msg);
		
	private:
		OTextControl	*commBar;
		OCheckBox		*blackCB;
		OCheckBox		*repeatCB;
		BStringView		*statView;

		BString			*command;
		bool			*black;
		bool			*repeat;
		
		bool			fMouseDown;
		BPoint			fMouseOffset;
};

#endif
