/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++                 SaverApp.cpp                   +++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++         Copyright © 2007 Ove Peter.            +++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */

#include <interface/Alert.h>
#include <interface/TextView.h>

#include "SaverApp.h"

int main( void )
{
	ScreenApp	myApp;	
	myApp.Run();
	return 0;
}


ScreenApp::ScreenApp()
	: BApplication(APP_SIG)
{
	ScreenApp::AboutRequested();
	PostMessage(B_QUIT_REQUESTED);
}


void ScreenApp::AboutRequested( void )
{
	BAlert		*alert;
	int32		areply;
	BTextView	*alText;
	BFont		alFont;
	const rgb_color	blueCol = {0, 90, 130, 255};
	
	const char* abouttext = APP_NAME" Screensaver\nversion "APP_VERSION
	"\n\nCopyright © 2007 Ove Peter"
	"\n\nDistributed under the MIT license.\nUse at your own risk. No Warranty!"
	"\n\nTo install, move me to"
	"\n\"/boot/home/config/add-ons/Screen Savers\"\n\n";

	alert = new BAlert("OP", abouttext, "Gotcha!", NULL, NULL, B_WIDTH_AS_USUAL, B_INFO_ALERT);
	alert->SetShortcut(1, B_ESCAPE);
	
	// Make some stylings with the text view child of alert
	alText = alert->TextView();
	alText->SetStylable(true);
			
	alFont.SetSize(18);
	alFont.SetFace(B_BOLD_FACE);
	alText->SetFontAndColor(0, 34, &alFont);
	alFont.SetSize(16);
	alText->SetFontAndColor(22, 42, &alFont, B_FONT_ALL, &blueCol);
	
	areply = alert->Go();
}
