/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++                 ShellSaver.h                   +++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++         Copyright © 2007 Ove Peter.            +++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */

#ifndef SHELL_SAVER_H
#define SHELL_SAVER_H

#include <add-ons/screen_saver/ScreenSaver.h>
#include <interface/View.h>
#include <interface/TextView.h>
#include <support/String.h>

class ConfigView;

class ShellSaver : public BScreenSaver
{
public:
				ShellSaver(BMessage *archive, image_id);
				~ShellSaver(void);
	/* --- Hook functions --- */
	virtual void 		StartConfig(BView *view);
	virtual void		StopConfig(void);
	virtual status_t	SaveState(BMessage *state) const;
	virtual status_t	StartSaver(BView *view, bool preview);
	virtual void		StopSaver(void);
	virtual void		Draw(BView *view, int32 frame);
	/* --- Individual functions --- */
	int					ExecuteCommand(void);
	static int32		ExeThread(void);
	
private:
	ConfigView	*configView;
	BTextView	*tView;

	BString		command;
	bool		black_screen;
	bool		is_preview;
	bool		repeat;
	
	thread_id	exeThreadID;
};

#endif // SHELL_SAVER_H
