/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++                   InputWin.h                   +++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++         Copyright © 2007 Ove Peter.            +++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */

#ifndef _INPUT_WINDOW_H_
#define _INPUT_WINDOW_H_

#ifdef BUILDING_OLIB
	#define OLIB_IMPEXP	__declspec(dllexport)
#else
	#define OLIB_IMPEXP	__declspec(dllimport)
#endif

#include <interface/Window.h>
#include <interface/TextControl.h>
#include <interface/Button.h>

#define SET_BUT		'setb'
#define INWIN_REPLY	'iwrp'

class OLIB_IMPEXP InputWindow: public BWindow {
	public:
						InputWindow(BHandler *target, 
								const char *title = "Input Value:", 
								window_type type = B_MODAL_WINDOW, 
								uint32 flags = B_WILL_DRAW | B_NOT_RESIZABLE | B_NOT_ZOOMABLE | B_ASYNCHRONOUS_CONTROLS, 
								uint32 workspaces = B_CURRENT_WORKSPACE);
						~InputWindow(void);
		/* --- Be Hooks --- */
		virtual bool	QuitRequested(void);
		virtual void	MessageReceived(BMessage *message);
		
	private:
	
		BTextControl	*textBar;
		BButton			*setBut;
		BHandler		*caller;
};

#endif
