/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++                 OCheckBox.cpp                  +++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++         Copyright © 2007 Ove Peter.            +++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */

#define BUILDING_OLIB

#include "OCheckBox.h"

OCheckBox::OCheckBox(BRect frame, const char *name, const char *label, BMessage *message, uint32 resizingMode, uint32 flags)
	:BCheckBox(frame, name, label, message, resizingMode, flags)
{
	BFont	font(be_plain_font);

	/* --- Do not display fonts bigger than 12 points --- */
	if(font.Size() > 12.0) {
		font.SetSize(12.0);
		/* 
		++ If the actual height is greater than the passed frame,
		++ this view was automatically resized because of big fonts.
		++ (Or the given Rect was bad (height < 20), but lets trust the auto-resize then)
		++ Since we changed the font, recalculate the view height again.
		*/
		if(Bounds().Height() > frame.Height()) {
			font_height fheight;
			font.GetHeight(&fheight);
			float theheight = (fheight.ascent + fheight.descent + 6.0);
			ResizeTo(frame.Width(), theheight);
		}
	}
	SetFont(&font, B_FONT_ALL);
}


OCheckBox::~OCheckBox( void )
{

}

/* ======================================================================================================================== */

void OCheckBox::AllAttached(void)
{	// Set View Color *only here* in AllAttached!
	// SetViewColor(greyCol);

	BCheckBox::AllAttached();
}


void OCheckBox::MouseMoved( BPoint where, uint32 code, const BMessage *a_message)
{
	#ifndef B_BEOS_VERSION_DANO
	if(code == B_ENTERED_VIEW) {
		SetHighColor(0,90,130,255);	// blue
		Draw(Bounds());
	} else if(code == B_EXITED_VIEW) {
		SetHighColor(0,0,0,255);	// black
		Draw(Bounds());
	}
	#endif
		
	BCheckBox::MouseMoved(where, code, a_message);
}
