/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++                 OMenuBar.h                     +++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++         Copyright © 2007 Ove Peter.            +++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */

#ifndef O_MENU_BAR_H
#define O_MENU_BAR_H

#ifdef BUILDING_OLIB
	#define OLIB_IMPEXP	__declspec(dllexport)
#else
	#define OLIB_IMPEXP	__declspec(dllimport)
#endif

#include <interface/MenuBar.h>

class OLIB_IMPEXP OMenuBar : public BMenuBar {
	public:
				OMenuBar(BRect frame, const char *name, uint32 resizingMode = B_FOLLOW_LEFT_RIGHT | B_FOLLOW_TOP, menu_layout layout = B_ITEMS_IN_ROW, bool resizeToFit = false);
				~OMenuBar( void );

		virtual void	FrameResized(float width, float height);
		virtual void	MouseDown(BPoint point);	// 3 functions for moving the window
		virtual void	MouseUp(BPoint where);
		virtual void	MouseMoved( BPoint where, uint32 code, const BMessage *msg);
		
		virtual void	SetMouseOff(void);			// Prevents Window move by setting fMouseDown to false
													// Will be called by OMenu::AttachedToWindow() on menu open

/*
		virtual void	MessageReceived(BMessage *message);
		virtual	void	AttachedToWindow( void );
		virtual	void	AllAttached(void);
*/	
	private:
		bool			fMouseDown;
		BPoint			fMouseOffset;
};


#endif	// O_MENU_BAR_H
