/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++                OStringView.cpp                 +++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++         Copyright © 2007 Ove Peter.            +++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++ */

#define BUILDING_OLIB

#include "OStringView.h"

OStringView::OStringView(BRect frame, const char *name, const char *text, uint32 resizingMode, uint32 flags)
	:BStringView(frame, name, text, resizingMode, flags)
{
	/* --- Do not display fonts bigger than 12 points --- */
	BFont	font(be_bold_font);
	if(font.Size() > 12.0) {
		font.SetSize(12.0);
		/* 
		++ If the actual height is greater than the passed frame,
		++ this view was automatically resized because of big fonts.
		++ Since we changed the font, recalculate the view height again.
		*/
		if(Bounds().Height() > frame.Height()) {
			font_height fheight;
			font.GetHeight(&fheight);
			float theheight = (fheight.ascent + fheight.descent + 6.0);
			ResizeTo(frame.Width(), theheight);
		}
	}
	SetFont(&font, B_FONT_ALL);
}


OStringView::~OStringView( void )
{

}

/* ======================================================================================================================== */

void OStringView::AllAttached(void)
{	// Set View Color
	rgb_color	lightGreyCol = {235, 235, 235, 255};
	SetViewColor(lightGreyCol);
	
	BStringView::AllAttached();
}


void OStringView::MouseMoved( BPoint where, uint32 code, const BMessage *a_message)
{	// Draw a nice Mouse-over effect
	#ifndef B_BEOS_VERSION_DANO
	if(code == B_ENTERED_VIEW) {
		SetHighColor(0,90,130,255);
		Draw(Bounds());
	} else if(code == B_EXITED_VIEW) {
		SetHighColor(0,0,0,255);
		Draw(Bounds());
	}
	#endif
	
	BStringView::MouseMoved(where, code, a_message);
}
